%global momorel 5

Name:           perl-Net-Whois-Raw
Version:        2.22	
Release:        %{momorel}m%{?dist}
Summary:        Get Whois information for domains
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Whois-Raw/
Source0:        http://www.cpan.org/authors/id/D/DE/DESPAIR/Net-Whois-Raw-%{version}.tar.gz
NoSource:       0
Patch0:         Net-Whois-Raw-2.22-momonga.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-URI
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Net::Whois::Raw queries WHOIS servers about domains. The module supports
recursive WHOIS queries. Also queries via HTTP is supported for some TLDs.

%prep
%setup -q -n Net-Whois-Raw-%{version}
%patch0 -p1 -b .momonga

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT pwhois README
%{_bindir}/pwhois
%{perl_vendorlib}/Net/Whois/Raw*
%{_mandir}/man1/pwhois.1*
%{_mandir}/man3/Net::Whois::Raw.3pm**

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.22-5m)
- full rebuild for mo7 release

* Tue Aug 17 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.22-4m)
- get.tj is not reliable

* Mon Aug 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-3m)
- control execution of test by specopt

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-2m)
- rebuild against perl-5.12.1

* Mon Apr 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-2m)
- rebuild against perl-5.12.0

* Fri Apr  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-1m)
- update to 2.20

* Fri Mar 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.18-1m)
- update to 2.18

* Sun Feb 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-1m)
- update to 2.17

* Sat Feb  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.14-1m)
- update to 2.14

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.13-1m)
- update to 2.13
- enable test again

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.06-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Nov  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.06-2m)
- disable %%check

* Sun Nov 08 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.06-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
